Bug 7338 - Enchancement request: change email address
Enchancement request: change email address
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.1r
All Linux
medium Severity low (vote)
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-25 23:57 EST by Bradley
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-26 02:09:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bradley 1999-11-25 23:57:54 EST
My uni CS email address (bbaetz@ug.cs.usyd.edu.au) is going to be vanishing
at the end of the year. I'd like to be able to change all the open/cc bugs
to my new address. The only way I can see of doing this is to create a new
account and then manually change every bug. Theres only about 5 open ones,
so its not a big deal, but it would still be nice

mozilla's bugzilla version has the ability to change multiple bugs at once,
but I don't know if that extends to adding yourself to the cc list. I think
it does though.

Also, when doing a query and sorting by importance, the security bugs come
at the end rather than the beginning of the list.
Comment 1 Bradley 1999-11-26 00:09:59 EST
...and then I went to set my prefs for my new account, and discovered that I
could already do this. I'm _sure_ I couldn't do that last week. That was
recently changed, right?!

Bugzilla didn't complain that I was changing my old account to the email address
of an already existing account (my new one) though, so this is sort of a valid
bug report anyway.
Comment 2 David Lawrence 1999-11-26 00:55:59 EST
The ability was added to change an email address recently, yes. You are right
though, i failed to add in checking for accounts that have the same address as
being changed to. That is a very valid concern. I will get this changed as soon
as possible.
Comment 3 Bradley 1999-11-26 01:10:59 EST
Thanks. There are now 2 users which have bbaetz@student.usyd.edu.au as their
email address though. Don't know what that's done to your database. I don't know
how to try logging in as the second user to check if its even still there - the
email address associates with the first login. The new user is the reporter of
this bug, and the old user is the one that added the extra comment, if that
helps.

Theres also the minor sorting bug.
Comment 4 David Lawrence 1999-11-26 02:09:59 EST
Ok, i fixed the preferences to now check for duplicate email addresses in the
database before it allows a member to change theirs to the new one. I also
disabled your first account so please use the new one that you last created from
now on and change the email address if you need to.

As for the Sort by option from the Query screen. The sort is done by priority
and not by severity so that would explain why bugs marked with 'security' showed
up in strange places in your big list. When sorted by priority on the other
hand, it sorted properly with high at top and low at bottom. I admit that this
should be documented better so as to take away confusion. I will work on that.
Comment 5 Bradley 1999-11-26 02:32:59 EST
I noticed the sorting wrt the priority, but within priorities, it is putting
security last.

For example if I do a listing of all the NEW, ASSIGNED and REOPENED bugs in
RH6.1 tcpdump, sorted by importance, I get 4 normal priority bugs, but within
those the security bug is last. Looking at this again now, it appears that these
are alphabetically sorted by severity, or maybe by bug number, as a secondary
field. Maybe it should be sorted by severity within priority?

Note You need to log in before you can comment on or make changes to this bug.